All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.util.olap
Class OLAPActionUtil

    com.sas.actionprovider.util.olap.OLAPActionUtil

All Implemented Interfaces:
  ActionStatusKeysInterface, OLAPTableViewAreaInterface, DynamicValueKeys, OLAPDynamicValueKeys

Direct Known Subclasses:
  HttpOLAPActionUtil

    @SASScope(value="ALL")
    public class OLAPActionUtil

implements OLAPTableViewAreaInterface, OLAPDynamicValueKeys, ActionStatusKeysInterface

Field Summary

Fields inherited from interface com.sas.actionprovider.support.olaptableview.OLAPTableViewAreaInterface
`COLUMN_HEADER_AREA, COLUMN_TITLE_AREA, DATA_CELL_AREA, ROW_HEADER_AREA, ROW_TITLE_AREA, TITLE_AREA`

Fields inherited from interface com.sas.actionprovider.util.olap.OLAPDynamicValueKeys
`AVAILABLE_DATA_ITEMS, AVAILABLE_DATA_ITEMS_SAME_DIMENSION, AXIS, AXIS_INDEX, AXIS_LABEL, CELL_ORDINAL, CLASS_PARAMETER, COLUMN_AXIS, COLUMN_INDEX, COLUMN_TUPLES, DATA_ITEM, DATA_ITEM_LABEL, DATA_VALUE, DIRECTION, DRILL_UP_LEVEL, IS_MEASURE, LEVEL_LABEL, MODE, MOVE_AXIS, MOVE_LABEL, NBSP, NEW_MODE, ROW_AXIS, ROW_INDEX, ROW_TUPLES, SHOW_DETAIL_DATA_ACTION, SHOW_DETAIL_DATA_VIEWER, SHOW_DETAIL_MODE, TABLE, TUPLE_ELEMENT, TUPLE_ELEMENT_INDEX, TUPLE_ELEMENTS, TUPLE_INDEX, TUPLE_LABEL, UNIQUE_LEVEL_NAME`

Fields inherited from interface com.sas.actionprovider.util.DynamicValueKeys
`AREA_VALUE, AREA_VALUE_ATTRKEY, MODEL, VIEWER, VIEWER_COMPONENT`

Fields inherited from interface com.sas.actionprovider.ActionStatusKeysInterface
`AREA_DISABLED, DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED, UNSUPPORTED, VIEWER_DISABLED`

Constructor Summary
`OLAPActionUtil()`

Method Summary
`java.lang.String` | `getAxisLabel(ActionSupportFilter filter)`
`java.lang.String` | `getAxisMoveLabel(ActionSupportFilter filter)`
`int` | `getDisabledIfEmptyElementLabel(ActionSupportFilter filter, int currentStatus)`
`int` | `getDisabledIfLastElement(ActionSupportFilter filter, int currentStatus)`
`int` | `getDisabledIfMeasure(ActionSupportFilter filter, int currentStatus)`
`int` | `getDisabledIfNoCellOrdinal(ActionSupportFilter filter, int currentStatus)`
`int` | `getDisabledIfNotEmptyElementLabel(ActionSupportFilter filter, int currentStatus)`
`int` | `getDisabledIfNotLastElement(ActionSupportFilter filter, int currentStatus)`
`int` | `getDisabledIfNotMeasure(ActionSupportFilter filter, int currentStatus)`
`int` | `getDisabledIfNotMeasureAndNotLastElement(ActionSupportFilter filter, int currentStatus)`
`int` | `getDisabledIfOneAxisHeader(ActionSupportFilter filter, int currentStatus)`
`java.lang.String` | `getDrillUpLevelLabel(ActionSupportFilter filter)`
`java.lang.String` | `getHeaderAreaValue(ActionSupportFilter filter)`
`java.lang.String` | `getMeasureMoveInDirection(ActionSupportFilter filter)`
`java.lang.String` | `getMeasureMoveOutDirection(ActionSupportFilter filter)`
`java.lang.String` | `getMoveInDirection(ActionSupportFilter filter)`
`java.lang.String` | `getMoveOutDirection(ActionSupportFilter filter)`
`java.util.Map` | `getNewStyleMap(java.lang.String areaType, java.lang.Class strategyClass)`
`java.lang.String` | `getOtherAxisLabel(ActionSupportFilter filter)`
`java.lang.String` | `getStringAxisIndexFromAxis(ActionSupportFilter filter)`
`java.lang.String` | `getStringAxisIndexFromTupleElement(ActionSupportFilter filter)`
`java.lang.String` | `getStringTupleElementIndex(ActionSupportFilter filter)`
`java.lang.String` | `getStringTupleIndex(ActionSupportFilter filter)`
`java.lang.String` | `getTitleAreaValue(ActionSupportFilter filter)`
`java.lang.String` | `getTupleElementLabel(ActionSupportFilter filter)`
`int` | `getViewerDisabledIfNotLastElement(ActionSupportFilter filter, int currentStatus)`
`int` | `getViewerDisabledIfNotMeasure(ActionSupportFilter filter, int currentStatus)`
`void` | `initializeMoveMeasureLabelAction(BaseAction action, java.lang.String areaType, java.util.Locale locale)`
`static int` | `validateDataCellArea(ActionSupportFilter filter)` Validates if the current area, as specified via various attributes on the filter, matches any of the DataCellArea objects on the filter's validAreaValues list.
`static int` | `validateHeaderArea(ActionSupportFilter filter)` Validates if the current area, as specified via various attributes on the filter, matches any of the TitleArea objects on the filter's validAreaValues list.
`static int` | `validateTitleArea(ActionSupportFilter filter)` Validates if the current area, as specified via various attributes on the filter, matches any of the TitleArea objects on the filter's validAreaValues list.

Constructor Detail

### OLAPActionUtil

    public OLAPActionUtil()

Method Detail

### getTupleElementLabel

    public java.lang.String getTupleElementLabel(ActionSupportFilter filter)

### getStringAxisIndexFromAxis

    public java.lang.String getStringAxisIndexFromAxis(ActionSupportFilter filter)

### getStringAxisIndexFromTupleElement

    public java.lang.String getStringAxisIndexFromTupleElement(ActionSupportFilter filter)

### getTitleAreaValue

    public java.lang.String getTitleAreaValue(ActionSupportFilter filter)

### getHeaderAreaValue

    public java.lang.String getHeaderAreaValue(ActionSupportFilter filter)

### getStringTupleElementIndex

    public java.lang.String getStringTupleElementIndex(ActionSupportFilter filter)

### getStringTupleIndex

    public java.lang.String getStringTupleIndex(ActionSupportFilter filter)

### getAxisLabel

    public java.lang.String getAxisLabel(ActionSupportFilter filter)

### getOtherAxisLabel

    public java.lang.String getOtherAxisLabel(ActionSupportFilter filter)

### getAxisMoveLabel

    public java.lang.String getAxisMoveLabel(ActionSupportFilter filter)

### getMoveOutDirection

    public java.lang.String getMoveOutDirection(ActionSupportFilter filter)

### getMoveInDirection

    public java.lang.String getMoveInDirection(ActionSupportFilter filter)

### getMeasureMoveOutDirection

    public java.lang.String getMeasureMoveOutDirection(ActionSupportFilter filter)

### getMeasureMoveInDirection

    public java.lang.String getMeasureMoveInDirection(ActionSupportFilter filter)

### getDrillUpLevelLabel

    public java.lang.String getDrillUpLevelLabel(ActionSupportFilter filter)

### getNewStyleMap

    public java.util.Map getNewStyleMap(java.lang.String areaType,
                                        java.lang.Class strategyClass)

### getDisabledIfLastElement

    public int getDisabledIfLastElement(ActionSupportFilter filter,
                                        int currentStatus)

### getDisabledIfNotLastElement

    public int getDisabledIfNotLastElement(ActionSupportFilter filter,
                                           int currentStatus)

### getViewerDisabledIfNotLastElement

    public int getViewerDisabledIfNotLastElement(ActionSupportFilter filter,
                                                 int currentStatus)

### getDisabledIfNotMeasure

    public int getDisabledIfNotMeasure(ActionSupportFilter filter,
                                       int currentStatus)

### getViewerDisabledIfNotMeasure

    public int getViewerDisabledIfNotMeasure(ActionSupportFilter filter,
                                             int currentStatus)

### getDisabledIfNotMeasureAndNotLastElement

    public int getDisabledIfNotMeasureAndNotLastElement(ActionSupportFilter filter,
                                                        int currentStatus)

### getDisabledIfMeasure

    public int getDisabledIfMeasure(ActionSupportFilter filter,
                                    int currentStatus)

### getDisabledIfOneAxisHeader

    public int getDisabledIfOneAxisHeader(ActionSupportFilter filter,
                                          int currentStatus)

### getDisabledIfEmptyElementLabel

    public int getDisabledIfEmptyElementLabel(ActionSupportFilter filter,
                                              int currentStatus)

### getDisabledIfNotEmptyElementLabel

    public int getDisabledIfNotEmptyElementLabel(ActionSupportFilter filter,
                                                 int currentStatus)

### getDisabledIfNoCellOrdinal

    public int getDisabledIfNoCellOrdinal(ActionSupportFilter filter,
                                          int currentStatus)

### initializeMoveMeasureLabelAction

    public void initializeMoveMeasureLabelAction(BaseAction action,
                                                 java.lang.String areaType,
                                                 java.util.Locale locale)

### validateDataCellArea

    public static int validateDataCellArea(ActionSupportFilter filter)

  Validates if the current area, as specified via various attributes on the filter, matches any of the DataCellArea objects on the filter's validAreaValues list. The validAreaValues list comes from the Area object used when registering an Action via the ActionProvider's setAction() method.

  Parameters:
    `filter` - The object that holds the current area specification as well as the list of valid ColumnHeaderArea objects for which an Action is registered.
  Returns:
    int Value is ENABLED if there is a match. AREA_DISABLED otherwise.

### validateHeaderArea

    public static int validateHeaderArea(ActionSupportFilter filter)

  Validates if the current area, as specified via various attributes on the filter, matches any of the TitleArea objects on the filter's validAreaValues list. The validAreaValues list comes from the Area object used when registering an Action via the ActionProvider's setAction() method.

  Parameters:
    `filter` - The object that holds the current area specification as well as the list of valid ColumnHeaderArea objects for which an Action is registered.
  Returns:
    int Value is ENABLED if there is a match. AREA_DISABLED otherwise.

### validateTitleArea

    public static int validateTitleArea(ActionSupportFilter filter)

  Validates if the current area, as specified via various attributes on the filter, matches any of the TitleArea objects on the filter's validAreaValues list. The validAreaValues list comes from the Area object used when registering an Action via the ActionProvider's setAction() method.

  Parameters:
    `filter` - The object that holds the current area specification as well as the list of valid ColumnHeaderArea objects for which an Action is registered.
  Returns:
    int Value is ENABLED if there is a match. AREA_DISABLED otherwise.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.